#!/bin/bash

echo Activating em84xx output

ID=$( sensors | grep -B 2 "Unknown EEPROM type (54)" \
              | grep -B 1 SMBus                      \
	      | grep     eeprom                      \
	      | cut -d \- -f 3)
case "$ID" in
        0)    tdk5002cctl -s2 ;;
	1)    tdk5002cctl -i1 -s2 ;;
	2)    tdk5002cctl -i2 -s2 ;;
	*)    echo ERROR: impossible DVB device $ID found ;;
esac

exit 0		      
     

